Subject: Re: bug#70815: [PATCH] ; Enahnce python-tests.el to adapt different python interpreters

From: kobarity <[email-masked]>
Date: Sun, 26 May 2024 21:36:38 +0900

Mattias Engdegård wrote:
> 
> 26 maj 2024 kl. 14.05 skrev kobarity <[email-masked]>:
> 
> > All ERTs pass with Python 2 on Linux (Ubuntu 22.04).  So it seems to
> > me that this is an issue with Python 2 on Mac.  Maybe the workaround
> > using "tty.setraw(0)" is not working with Python 2 on Mac?  Could you
> > test if the native completion is working with Python 2?
> 
> Not sure how to test that, but if I run python 2 interactively from a terminal then no completion appears to be active (although I'm not sure if something could make it work).

Sorry, I forgot that native completion does not work on Mac, even with
Python 3.  What I wanted to know is if there is unexpected echo backs
with Python 2 on Mac.

> Given the status of Python 2 in general and on macOS in particular (there is a warning that it is only present for compatibility with legacy software) this is not very surprising. I don't think it's something we need to fix in Emacs.

I agree.

> Is there a reason not to apply the suggested patch to prefer `python3` to `python`?
> Or put differently, why would `python-shell-interpreter` and `python-tests-get-shell-interpreter` use different preferences?

Maybe it is better to prefer "python3", but I don't know if that would
reliably prevent the problem.  The best way would be to skip some
tests if the selected interpreter is Python 2 and it is running on
Mac.